---
title: serviceData
slug: Web/API/BluetoothAdvertisingData/serviceData
tags:
  - API
  - Bluetooth
  - BluetoothAdvertisingData
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - serviceData
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <code>serviceData</code> read-only property of the {{DOMxRef('BluetoothAdvertisingData')}} interface returns a map that relates UUIDs to {{JSxRef("ArrayBuffer", "ArrayBuffers")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>serviceData</em> = <em>BluetoothAdvertisingData</em>.serviceData;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothAdvertisingData.serviceData")}}</p>
</div>
